Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.deegree.graphics.sld
Enum SLDFactory.Method

    java.lang.Object
      java.lang.Enum<SLDFactory.Method>
          org.deegree.graphics.sld.SLDFactory.Method

All Implemented Interfaces:
  Serializable, Comparable<SLDFactory.Method>

Enclosing class:
  SLDFactory

    public static enum SLDFactory.Method

extends Enum<SLDFactory.Method>

`Method` is the MethodType from the Symbology encoding Schema.

Version:
  $Revision: 25265 $, $Date: 2010-07-13 08:45:57 +0200 (Di, 13. Jul 2010) $
Author:
  Andreas Schmitz, last edited by: $Author: aschmitz $

Enum Constant Summary
`COLOR` `"color"`
`NUMERIC` `"numeric"`

Method Summary
`static SLDFactory.Method` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SLDFactory.Method[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NUMERIC

    public static final SLDFactory.Method NUMERIC

  `"numeric"`

### COLOR

    public static final SLDFactory.Method COLOR

  `"color"`

Method Detail

### values

    public static final SLDFactory.Method[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SLDFactory.Method c : SLDFactory.Method.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SLDFactory.Method valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org